package com.mortals.xhx.module.operate.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.operate.model.OperateLogEntity;
/**
* 平台用户操作日志业务查询对象
*
* @author zxfei
* @date 2022-08-17
*/
public class OperateLogQuery extends OperateLogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 平台标识 */
    private List<String> platformMarkList;

    /** 开始 用户id */
    private Long userIdStart;

    /** 结束 用户id */
    private Long userIdEnd;

    /** 增加 用户id */
    private Long userIdIncrement;

    /** 用户id列表 */
    private List <Long> userIdList;

    /** 用户名称 */
    private List<String> userNameList;

    /** 用户登录名 */
    private List<String> loginNameList;

    /** 请求地址 */
    private List<String> requestUrlList;

    /** 操作内容，记录操作具体信息，如修改前修改或的数据 */
    private List<String> contentList;

    /** 操作IP地址 */
    private List<String> ipList;

    /** 开始 操作时间 */
    private String logDateStart;

    /** 结束 操作时间 */
    private String logDateEnd;

    /** 开始 操作类型，0：新增，1：修改，2：删除 */
    private Integer operTypeStart;

    /** 结束 操作类型，0：新增，1：修改，2：删除 */
    private Integer operTypeEnd;

    /** 增加 操作类型，0：新增，1：修改，2：删除 */
    private Integer operTypeIncrement;

    /** 操作类型，0：新增，1：修改，2：删除列表 */
    private List <Integer> operTypeList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<OperateLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<OperateLogQuery> andConditionList;

    public OperateLogQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 平台标识
    * @return platformMarkList
    */
    public List<String> getPlatformMarkList(){
        return this.platformMarkList;
    }

    /**
    * 设置 平台标识
    * @param platformMarkList
    */
    public void setPlatformMarkList(List<String> platformMarkList){
        this.platformMarkList = platformMarkList;
    }
    /**
    * 获取 开始 用户id
    * @return userIdStart
    */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
    * 设置 开始 用户id
    * @param userIdStart
    */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
    * 获取 结束 用户id
    * @return $userIdEnd
    */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
    * 设置 结束 用户id
    * @param userIdEnd
    */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
    * 获取 增加 用户id
    * @return userIdIncrement
    */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
    * 设置 增加 用户id
    * @param userIdIncrement
    */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
    * 获取 用户id
    * @return userIdList
    */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
    * 设置 用户id
    * @param userIdList
    */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
    * 获取 用户名称
    * @return userNameList
    */
    public List<String> getUserNameList(){
        return this.userNameList;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public void setUserNameList(List<String> userNameList){
        this.userNameList = userNameList;
    }
    /**
    * 获取 用户登录名
    * @return loginNameList
    */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
    * 设置 用户登录名
    * @param loginNameList
    */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }
    /**
    * 获取 请求地址
    * @return requestUrlList
    */
    public List<String> getRequestUrlList(){
        return this.requestUrlList;
    }

    /**
    * 设置 请求地址
    * @param requestUrlList
    */
    public void setRequestUrlList(List<String> requestUrlList){
        this.requestUrlList = requestUrlList;
    }
    /**
    * 获取 操作内容，记录操作具体信息，如修改前修改或的数据
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 操作内容，记录操作具体信息，如修改前修改或的数据
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 操作IP地址
    * @return ipList
    */
    public List<String> getIpList(){
        return this.ipList;
    }

    /**
    * 设置 操作IP地址
    * @param ipList
    */
    public void setIpList(List<String> ipList){
        this.ipList = ipList;
    }
    /**
    * 获取 开始 操作时间
    * @return logDateStart
    */
    public String getLogDateStart(){
        return this.logDateStart;
    }

    /**
    * 设置 开始 操作时间
    * @param logDateStart
    */
    public void setLogDateStart(String logDateStart){
        this.logDateStart = logDateStart;
    }

    /**
    * 获取 结束 操作时间
    * @return logDateEnd
    */
    public String getLogDateEnd(){
        return this.logDateEnd;
    }

    /**
    * 设置 结束 操作时间
    * @param logDateEnd
    */
    public void setLogDateEnd(String logDateEnd){
        this.logDateEnd = logDateEnd;
    }

    /**
    * 获取 开始 操作类型，0：新增，1：修改，2：删除
    * @return operTypeStart
    */
    public Integer getOperTypeStart(){
        return this.operTypeStart;
    }

    /**
    * 设置 开始 操作类型，0：新增，1：修改，2：删除
    * @param operTypeStart
    */
    public void setOperTypeStart(Integer operTypeStart){
        this.operTypeStart = operTypeStart;
    }

    /**
    * 获取 结束 操作类型，0：新增，1：修改，2：删除
    * @return $operTypeEnd
    */
    public Integer getOperTypeEnd(){
        return this.operTypeEnd;
    }

    /**
    * 设置 结束 操作类型，0：新增，1：修改，2：删除
    * @param operTypeEnd
    */
    public void setOperTypeEnd(Integer operTypeEnd){
        this.operTypeEnd = operTypeEnd;
    }

    /**
    * 获取 增加 操作类型，0：新增，1：修改，2：删除
    * @return operTypeIncrement
    */
    public Integer getOperTypeIncrement(){
        return this.operTypeIncrement;
    }

    /**
    * 设置 增加 操作类型，0：新增，1：修改，2：删除
    * @param operTypeIncrement
    */
    public void setOperTypeIncrement(Integer operTypeIncrement){
        this.operTypeIncrement = operTypeIncrement;
    }

    /**
    * 获取 操作类型，0：新增，1：修改，2：删除
    * @return operTypeList
    */
    public List<Integer> getOperTypeList(){
        return this.operTypeList;
    }

    /**
    * 设置 操作类型，0：新增，1：修改，2：删除
    * @param operTypeList
    */
    public void setOperTypeList(List<Integer> operTypeList){
        this.operTypeList = operTypeList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public OperateLogQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public OperateLogQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public OperateLogQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public OperateLogQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public OperateLogQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 平台标识
    * @param platformMark
    */
    public OperateLogQuery platformMark(String platformMark){
        setPlatformMark(platformMark);
		return this;
    }

    /**
    * 设置 平台标识
    * @param platformMarkList
    */
    public OperateLogQuery platformMarkList(List<String> platformMarkList){
        this.platformMarkList = platformMarkList;
		return this;
    }

    /**
    * 设置  用户id
    * @param userId
    */
    public OperateLogQuery userId(Long userId){
	    setUserId(userId);
		return this;
    }
	
	 /**
    * 设置 开始 用户id
    * @param userIdStart
    */
    public OperateLogQuery userIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
		return this;
    }

    /**
    * 设置 结束 用户id
    * @param userIdEnd
    */
    public OperateLogQuery userIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户id
    * @param userIdIncrement
    */
    public OperateLogQuery userIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
		return this;
    }

    /**
    * 设置 用户id
    * @param userIdList
    */
    public OperateLogQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
		return this;
        }


	/**
    * 设置 用户名称
    * @param userName
    */
    public OperateLogQuery userName(String userName){
        setUserName(userName);
		return this;
    }

    /**
    * 设置 用户名称
    * @param userNameList
    */
    public OperateLogQuery userNameList(List<String> userNameList){
        this.userNameList = userNameList;
		return this;
    }


	/**
    * 设置 用户登录名
    * @param loginName
    */
    public OperateLogQuery loginName(String loginName){
        setLoginName(loginName);
		return this;
    }

    /**
    * 设置 用户登录名
    * @param loginNameList
    */
    public OperateLogQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
		return this;
    }


	/**
    * 设置 请求地址
    * @param requestUrl
    */
    public OperateLogQuery requestUrl(String requestUrl){
        setRequestUrl(requestUrl);
		return this;
    }

    /**
    * 设置 请求地址
    * @param requestUrlList
    */
    public OperateLogQuery requestUrlList(List<String> requestUrlList){
        this.requestUrlList = requestUrlList;
		return this;
    }


	/**
    * 设置 操作内容，记录操作具体信息，如修改前修改或的数据
    * @param content
    */
    public OperateLogQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 操作内容，记录操作具体信息，如修改前修改或的数据
    * @param contentList
    */
    public OperateLogQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


	/**
    * 设置 操作IP地址
    * @param ip
    */
    public OperateLogQuery ip(String ip){
        setIp(ip);
		return this;
    }

    /**
    * 设置 操作IP地址
    * @param ipList
    */
    public OperateLogQuery ipList(List<String> ipList){
        this.ipList = ipList;
		return this;
    }


    /**
    * 设置  操作类型，0：新增，1：修改，2：删除
    * @param operType
    */
    public OperateLogQuery operType(Integer operType){
	    setOperType(operType);
		return this;
    }
	
	 /**
    * 设置 开始 操作类型，0：新增，1：修改，2：删除
    * @param operTypeStart
    */
    public OperateLogQuery operTypeStart(Integer operTypeStart){
		this.operTypeStart = operTypeStart;
		return this;
    }

    /**
    * 设置 结束 操作类型，0：新增，1：修改，2：删除
    * @param operTypeEnd
    */
    public OperateLogQuery operTypeEnd(Integer operTypeEnd){
		this.operTypeEnd = operTypeEnd;
		return this;
    }

    /**
    * 设置 增加 操作类型，0：新增，1：修改，2：删除
    * @param operTypeIncrement
    */
    public OperateLogQuery operTypeIncrement(Integer operTypeIncrement){
		this.operTypeIncrement = operTypeIncrement;
		return this;
    }

    /**
    * 设置 操作类型，0：新增，1：修改，2：删除
    * @param operTypeList
    */
    public OperateLogQuery operTypeList(List<Integer> operTypeList){
        this.operTypeList = operTypeList;
		return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public OperateLogQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public OperateLogQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public OperateLogQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public OperateLogQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public OperateLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<OperateLogQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<OperateLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<OperateLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<OperateLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}